StarWriterStruct::PrintData Struct Reference

the doc statistic More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| PrintData ()
| constructor
bool | read (StarZone &zone)
| try to read a printData: '8'

## Public Attributes

int | m_flags
| the flags
STOFFVec2i | m_colRow
| the row, col dim
int | m_spacings [6]
| the spaces: left, right, top, bottom, horizontal, verticals

## Friends

std::ostream & | operator<< (std::ostream &o, PrintData const &printData)
| operator<<

## Detailed Description

the doc statistic

## Constructor & Destructor Documentation

## PrintData()

StarWriterStruct::PrintData::PrintData | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool StarWriterStruct::PrintData::read | ( | StarZone & | zone | ) |

try to read a printData: '8'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrintData const & | printData )

friend

operator<<

## Member Data Documentation

## m_colRow

STOFFVec2i StarWriterStruct::PrintData::m_colRow

the row, col dim

Referenced by operator<<, PrintData(), and read().

## m_flags

int StarWriterStruct::PrintData::m_flags

the flags

Referenced by operator<<, PrintData(), and read().

## m_spacings

int StarWriterStruct::PrintData::m_spacings[6]

the spaces: left, right, top, bottom, horizontal, verticals

Referenced by operator<<, PrintData(), and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx